.publication-gallery {
  display: grid;
  gap: 20px;
  grid-template-columns: repeat(2, 1fr);
}

.publication-item {
  flex-grow: 1;
  display: flex;
  height: 400px;
  border: 2px solid #D8D8D8;
  overflow: hidden;
}

.publication-description-container {
  position: relative;
  left: 0;
  top: 0;
  width: 60%;
  margin: 10px;
  
  z-index: 101;
}

.publication-description {
  padding: 16px;
  margin-bottom: 10px;
  text-align: left;
  overflow-y: auto;
  color: rgba(255, 255, 255, 0.95);
  
  backdrop-filter: blur(5px);
  background-color: rgba(86, 96, 255, 0.7);
  border-radius: 3px;
}

.publication-description h3 {
  margin-bottom: 12px;
  margin-top: 0px;
}

.publication-description h3 a {
  text-decoration: none;
  color: inherit;
}

.publication-description:hover .publication-heading-permalink {
  display: inline-block;
}

.publication-description .ui-text p {
  margin-bottom: 10px;
  font-size: 13px;
}

.publication-data {
  flex: 3;
  position: relative;
  background: #000000;
}

.publication-thumbnail {
  position: absolute;
  flex: 1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.publication-thumbnail-layer {
  position: absolute;
  background-size: cover;
  background-position: center;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: transform 0.3s ease-in-out;
}
.publication-item:hover .publication-thumbnail-layer {
  transform: scale(1.1);
}
.publication-thumbnail-layer-type-segmentation {
  opacity: 0.3;
}
.publication-thumbnail-layer-color_1 {
  filter: url(#filter-red-tint);
  mix-blend-mode: lighten;
}
.publication-thumbnail-layer-color_2 {
  filter: url(#filter-green-tint);
  mix-blend-mode: lighten;
}
.publication-thumbnail-layer-color_3 {
  filter: url(#filter-blue-tint);
  mix-blend-mode: lighten;
}
.publication-dataset-button {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.publication-dataset-info {
  display: flex;
  flex-direction: column;
  border-radius: 3px;
  background-color: rgba(86, 96, 255, 0.7);
  padding: 16px;
  color: rgba(255, 255, 255, 0.95);
  backdrop-filter: blur(5px);
  text-align: left;
  font-size: 12px;
  pointer-events: none;
}
.publication-dataset-info-species {
  font-weight: 700;
  display: inline;
}
.publication-dataset-info-region, .publication-dataset-info-acquisition{
  display: inline;
  margin-left: 5px;
}
.publication-dataset-info-name {
  font-size: 16px;
}

.publication-dataset-info-scale {
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}


.publication-thumbgrid {
  position: absolute;
  bottom: 0;
  right: 0;
  top: 0;
  width: 95px;
  overflow: hidden;
  background: linear-gradient(to left, rgba(0, 0, 0, 0.7) 0%, rgba(0, 0, 0, 0.5) 50%, rgba(0, 0, 0, 0) 100%);
}

.publication-thumbgrid ul {
  position: absolute;
  bottom: 10px;
  right: 0;
  width: 100%;
  max-height: 100%;
  max-height: calc(100% - 20px);
  overflow-y: auto;
  overflow-x: hidden;
}

.publication-thumbgrid-button {
  display: block;
  width: 75px;
  height: 75px;
  margin: 5px auto;
  border-radius: 4px;
  border: 2px solid rgb(86, 96, 255);
  cursor: pointer;
  position: relative;
}
.publication-thumbgrid-button-layer {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
}
.publication-thumbgrid-button-layer-segmentation {
  opacity: 0.3;
}
.publication-thumbgrid-button-layer-color_1 {
  filter: url(#filter-red-tint);
  mix-blend-mode: lighten;
}
.publication-thumbgrid-button-layer-color_2 {
  filter: url(#filter-green-tint);
  mix-blend-mode: lighten;
}
.publication-thumbgrid-button-layer-color_3 {
  filter: url(#filter-blue-tint);
  mix-blend-mode: lighten;
}
.publication-defs-only {
  position: absolute;
  height: 0; width: 0;
  overflow: none;
  left: -100%;
}

.publication-description-container .ui-heading {
  color: white;
  font-size: 18px;
  line-height: 22px;
}

.publication-description-container .ui-text {
  color: white;
}

.publication-description-container .ui-text{
  display: -webkit-box;
  -webkit-line-clamp: 10;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.ui-link {
  color: #ffffff;
}

.ui-link:hover {
  color: rgb(0, 50, 150);
}

@media screen and (max-width: 750px) {
  .publication-gallery {
    grid-template-columns: repeat(1, 1fr);
  }
  .publication-item {
    height: auto;
    flex-direction: column;
  }
  .publication-description {
    flex: unset;
  }
  .publication-data {
    flex: unset;
    height: 300px;
  }
  .publication-dataset-info-scale {
    display: none;
  }
  
  .publication-dataset-info-name {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
  }
  .publication-description-container {
    width: calc(100% - 105px);
  }

  .ui-text {
    -webkit-line-clamp: 6;
  }
}